Type.registerNamespace("Telerik.Web.UI.Scheduler");
Telerik.Web.UI.Scheduler.WeekModelBase=function(_1,_2){
this._owner=_1;
this._modelData=Sys.Serialization.JavaScriptSerializer.deserialize(_2);
};
Telerik.Web.UI.Scheduler.WeekModelBase.prototype={updateResizingAppointmentSize:function(_3,_4){
var _5=_3.parentNode.parentNode;
var _6=_5.offsetHeight;
var _7=_4.parentNode.rowIndex-_5.parentNode.rowIndex;
_7=Math.min(_7,this._getMaxAppointmentGrowth(_5));
var _8=Math.max(1,(_7+1))*_6;
var _9=parseInt(_3.style.paddingBottom);
_9=isNaN(_9)?0:_9;
var _8=_8-_9;
if($telerik.isIE&&$telerik.quirksMode){
_8-=$telerik.getBorderBox(_5).vertical*2;
}
_3.style.height=_8+"px";
},_getMaxAppointmentGrowth:function(_a){
return _a.parentNode.parentNode.rows.length;
}};
Telerik.Web.UI.Scheduler.WeekModelBase.registerClass("Telerik.Web.UI.Scheduler.WeekModelBase",null,Telerik.Web.UI.ISchedulerModel);
Telerik.Web.UI.Scheduler.WeekModel=function(_b,_c){
Telerik.Web.UI.Scheduler.WeekModel.initializeBase(this,[_b,_c]);
this._start=new Date(Date.parse(this._modelData.start));
};
Telerik.Web.UI.Scheduler.WeekModel.prototype={initialize:function(){
},getTimeSlotFromDomElement:function(_d){
var _e=this._getRawIndexFromDomElement(_d);
var _f=this._getTimeFromDomElement(_d);
var _10=this._owner.get_minutesPerRow();
return new Telerik.Web.UI.Scheduler.WeekTimeSlot(_e,_f,_10,_d);
},_getTimeFromDomElement:function(_11){
var _12=this._getRawIndexFromDomElement(_11);
return this._getTimeFromIndex(_12);
},_getTimeFromIndex:function(_13){
var _14=new Date(this._modelData.start);
var _15=_13.rowIndex*this._owner.get_minutesPerRow();
Telerik.Web.UI.RadScheduler._incrementTime(_14,24*_13.cellIndex,_15);
return _14;
},_getRawIndexFromDomElement:function(_16){
while(_16&&(_16.tagName.toUpperCase()!="TD")){
_16=_16.parentNode;
}
if(_16){
var _17=_16.cellIndex;
var _18=_16.parentNode.rowIndex;
var _19=_16.parentNode;
var _1a=_19.parentNode;
var _1b=_1a.parentNode;
var _1c=Sys.UI.DomElement.containsCssClass(_19,"rsAllDayRow");
var _1d=_1c?0:1;
return {cellIndex:_17,rowIndex:_18,viewPartIndex:_1d};
}
return null;
}};
Telerik.Web.UI.Scheduler.WeekModel.registerClass("Telerik.Web.UI.Scheduler.WeekModel",Telerik.Web.UI.Scheduler.WeekModelBase);
Telerik.Web.UI.Scheduler.WeekTimeSlot=function(_1e,_1f,_20,_21){
this._rawIndex=_1e;
this._startTime=_1f;
this._duration=_20;
this._domElement=_21;
};
Telerik.Web.UI.Scheduler.WeekTimeSlot.prototype={get_index:function(){
var _22=this.get_rawIndex();
return String.format("{0}:{1}:{2}",_22.viewPartIndex,_22.rowIndex,_22.cellIndex);
},get_rawIndex:function(){
return this._rawIndex;
},get_startTime:function(){
return this._startTime;
},get_duration:function(){
return this._duration;
},get_isAllDay:function(){
return this.get_rawIndex().viewPartIndex==0;
},get_domElement:function(){
return this._domElement;
}};
Telerik.Web.UI.Scheduler.WeekTimeSlot.registerClass("Telerik.Web.UI.Scheduler.WeekTimeSlot",null,Telerik.Web.UI.ISchedulerTimeSlot);

